%define kernel_rel	%(eval uname -r)
%define kmdl_ksrcdir	/lib/modules/%{kernel_rel}/build
%define kmdl_moduledir	/lib/modules/%{kernel_rel}/kernel

Summary: An iTVC15/16 and CX23415/16 driver.
Name: ivtv
Version: 0.2.0rc3j
Epoch: 1
Release: b1
License: distributable
Group: Applications/Multimedia
Source0: ivtv-%{version}.tar.bz2
URL: http://ivtv.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
Requires: perl-Video-ivtv, perl-Video-Frequencies

BuildArchitectures: i586

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%package kernheaders
Summary: %{name} kernel header files.
Group: Development/System

%description kernheaders
The %{name} kernel headers are used for accessing the kernel modules' API.

%package -n %{name}-kmdl
Summary: IVTV kernel drivers.
Group: System Environment/Kernel
Requires: ivtv-firmware-dec >= 2.02.023
Requires: ivtv-firmware-enc >= 2.04.024

%description -n %{name}-kmdl
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%prep
%setup -q -n %{name}-%{version}
perl -pi -e's,#define IVTV_VERSION .*$,#define IVTV_VERSION "%{version}-%{release}",' driver/ivtv-driver.h

perl -pi -e 's:include <linux/videodev2.h>:include "videodev2.h":' utils/radio.c
if grep 'PATCHLEVEL = 6' %{kmdl_ksrcdir}/Makefile; then
  mv -f driver/Makefile2.6 driver/Makefile
else
  mv -f driver/Makefile2.4 driver/Makefile
fi

%build
# for utils
make -C utils KERNELDIR=%{kmdl_ksrcdir}

# for modules
if [ ! -f %{kmdl_ksrcdir}/include/linux/videodev2.h ]; then
  cp -a utils/videodev2.h driver
fi
make -C driver KDIR=%{kmdl_ksrcdir} KERNELDIR=%{kmdl_ksrcdir}

%install
rm -rf %{buildroot}

# for utils
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/ivtv/
mkdir -p %{buildroot}%{_includedir}/linux
make -C utils KERNELDIR=%{kmdl_ksrcdir} \
   INSTALLDIR=%{buildroot}%{_bindir} install
install -p utils/*.pl %{buildroot}%{_libdir}/ivtv/
mv %{buildroot}%{_bindir}/radio %{buildroot}%{_bindir}/radio-ivtv

install -p driver/ivtv.h %{buildroot}%{_includedir}/linux

# for modules
mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/media/video
mkdir -p %{buildroot}%{_includedir}/linux
make -C driver install \
	DESTDIR=%{buildroot} \
	KDIR=%{kmdl_ksrcdir} INSTALL_MOD_PATH=%{buildroot} \
	KERNELDIR=%{kmdl_ksrcdir} MODDIR=%{buildroot}%{kmdl_moduledir}/drivers/media/video
#	HEADERDIR=%{buildroot}%{_includedir}/linux INCLUDEDIR=%{buildroot}%{_includedir}/linux
if [ -d %{buildroot}%{kmdl_moduledir}/../ivtv ]; then
  mv %{buildroot}%{kmdl_moduledir}/../ivtv/* %{buildroot}%{kmdl_moduledir}/drivers/media/video/
fi
for clash in msp3400 tveeprom tuner; do
  ls %{buildroot}%{kmdl_moduledir}/drivers/media/video/$clash.*o \
  | sed -e's,^\(.*/'$clash'\)\.\(.*\)$,mv \1.\2 \1-ivtv.\2,' | sh -x
done

%clean
rm -rf %{buildroot}

%post -n %{name}-kmdl
%kmdl_install

%postun -n %{name}-kmdl
%kmdl_remove

%files
%defattr(-,root,root,-)
%doc doc/*
%doc utils/README* utils/*.conf utils/lircrc
%{_libdir}/ivtv
%{_bindir}/*

%files kernheaders
%defattr(-,root,root,-)
%{_includedir}/linux/ivtv.h

%files -n %{name}-kmdl
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/media/video/*
%exclude %{_includedir}/linux/ivtv.h

%changelog
* Mon May 9 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
